package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.ConflictExperienceCollection;
import gov.va.med.esr.service.external.person.collections.MilitaryServiceEpisodeCollection;

public class MilitaryServiceSiteRecordInfo extends ExternalComponent {


	private static final long serialVersionUID = -3835466719407577091L;

	private String site;

	private String servicePeriod = null;

	//private String filipinoVeteranProof = null;

	private MilitaryServiceEpisodeCollection militaryServiceEpisodes;

	private ConflictExperienceCollection conflictExperiences;
	
	public ConflictExperienceCollection getConflictExperiences() {
		return conflictExperiences;
	}

	public void setConflictExperiences(
			ConflictExperienceCollection conflictExperiences) {
		this.conflictExperiences = conflictExperiences;
	}

	/**
	public String getFilipinoVeteranProof() {
		return filipinoVeteranProof;
	}

	public void setFilipinoVeteranProof(String filipinoVeteranProof) {
		this.filipinoVeteranProof = filipinoVeteranProof;
	}
	**/
	public MilitaryServiceEpisodeCollection getMilitaryServiceEpisodes() {
		return militaryServiceEpisodes;
	}

	public void setMilitaryServiceEpisodes(
			MilitaryServiceEpisodeCollection militaryServiceEpisodes) {
		this.militaryServiceEpisodes = militaryServiceEpisodes;
	}
	 
	public String getServicePeriod() {
		return servicePeriod;
	}

	public void setServicePeriod(String servicePeriod) {
		this.servicePeriod = servicePeriod;
	}


	public String getSite() {
		return site;
	}

	public void setSite(String site) {
		this.site = site;
	}

}
